Page MenuHomePhabricator

Incorrect tabs on own user page subpages
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  1. Activate newcomer's homepage.
  2. Visit a subpage of your user page (doesn't have to exist).
  3. Click Discussion at the top of the page.

(Specific links not provided because this issue is user-specific.)

Actual Results:
You are redirected to your talk page (not the talk page of the subpage).
I believe this isn't correct. Such talk pages can be created, e.g. as feedback to a draft article. Now it's quite difficult to reach it without typing its (potentially long) name.

Expected Results:
You are redirected to the talk page of the subpage (whether it exists or not).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2020, 10:17 AM
Urbanecm claimed this task.Apr 19 2020, 6:19 PM
Urbanecm added a subscriber: Urbanecm.

Thanks Matěj.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 19 2020, 6:19 PM

Change 590573 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] HomepageHooks: Fix talk tab destination on user subpages

https://gerrit.wikimedia.org/r/590573

Urbanecm triaged this task as Low priority.Apr 19 2020, 6:21 PM
Urbanecm moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.
Urbanecm moved this task from Backlog to Waiting on review on the User-Urbanecm board.

Change 590573 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] HomepageHooks: Fix talk tab destination on user subpages

https://gerrit.wikimedia.org/r/590573

Etonkovidova closed this task as Resolved.Apr 27 2020, 9:32 PM

Checked in cswiki wmf.30 - the fix works as expected.